Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 15 Sep 2019, 14:26
All times are UTC - 4
 Forum index » Advanced Topics » Cutting edge
tiny_puduan_ascii-PreAlpha11.5 (made via a woof-next fork)
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 5 of 5 [70 Posts]   Goto page: Previous 1, 2, 3, 4, 5
Author Message
s243a

Joined: 02 Sep 2014
Posts: 2072

PostPosted: Thu 15 Aug 2019, 13:28    Post subject:  

s243a wrote:
darry19662018 wrote:

Sorry I am out for this release. Last couple of Iso's could not get package managers working. I wonder if it is my machine? Not sure


Was the issue dependency resolution? Thankyou for your testing. Smile It lead me to look into this issue and as a consequence I found missing "/"'s after the tmp directory (related to dependency resolution). See fix:

https://github.com/puppylinux-woof-CE/woof-CE/commit/b0001f5dc6be0ea8f93543403b122077e364c8af

However, I have to review this fix a bit more to make sure that it isn't installing things that it shouldn't.

This issue was actually caused by a previous fix. See post:
http://murga-linux.com/puppy/viewtopic.php?p=1030838#1030838


I noticed that to update the databases for the package manager one has to use the following command in my latest release:
Code:

/usr/local/petget/0setup


Scotmann's package manager (i.e. pkg) does call this command but it first sets an environmental variable:
Code:

SETUPCALLEDFROM=ppm

/sc0ttj/Pkg/blob/master/usr/sbin/pkg#L1712
/s243a/woof-CE/.../woof-code/rootfs-packages/PKG/usr/sbin/pkg#L1825

When this is called the package databases are updated rather than created from scratch. I have a bug in my code where this update process doesn't work, and consequently the repo will not update properly when the above enviornmental variable is set.

On another note, On my latest release I also forgot to add libc6 to the block list. See post:
http://murga-linux.com/puppy/viewtopic.php?p=1030753#1030753

_________________
Find me on minds and on pearltrees.
Back to top
View user's profile Send private message Visit poster's website 
s243a

Joined: 02 Sep 2014
Posts: 2072

PostPosted: Thu 15 Aug 2019, 13:38    Post subject:  

On my next remaster, I'll be adding the following line:

Code:

pref("media.libavcodec.allow-obsolete", true);


to
Code:

/usr/share/firefox-esr/browser/defaults/syspref


see post:
http://murga-linux.com/puppy/viewtopic.php?p=1034217#1034217

_________________
Find me on minds and on pearltrees.
Back to top
View user's profile Send private message Visit poster's website 
s243a

Joined: 02 Sep 2014
Posts: 2072

PostPosted: Fri 16 Aug 2019, 07:02    Post subject:  

Here's a remaster of the last release:
tiny_puduan_ascii-PreA11.2-Remaster_1-s243a.iso (272M)
**Minimal testing was done.

This includes the above noted fixes. In addition to what is included in the official release it has the following packages:

Code:

# ls -1 | sed -e 's#.files##'
alsamixergui_0.9.0rc2-1-10_i386
espeak_1.48.04+dfsg-5+b1_i386
espeak-data_1.48.04+dfsg-5+b1_i386
firefox-esr_60.6.3esr-1~deb9u1_i386
git_2.11.0-3+deb9u4_i386
git-man_2.11.0-3+deb9u4_all
gitweb_2.11.0-3+deb9u4_all
libapr1_1.5.2-5_i386
libaprutil1_1.5.4-3_i386
libasyncns0_0.8-6_i386
libavcodec-extra57_3.2.12-1~deb9u1_i386
libcgi-pm-perl_4.35-1_all
libcurl3-gnutls_7.52.1-5+deb9u9_i386
liberror-perl_0.17024-1_all
libespeak1_1.48.04+dfsg-5+b1_i386
libflac8_1.3.2-1_i386
libhtml-parser-perl_3.72-3_i386
libhtml-tagset-perl_3.20-3_all
libjack-jackd2-0_1.9.10+20150825git1ed50c92~dfsg-5_i386
libjsoncpp1_1.7.4-3_i386
libogg0_1.3.2-1_i386
libopus0_1.2~alpha2-1_i386
libportaudio2_19.6.0-1_i386
libpulse0_10.0-1+deb9u1_i386
libserf-1-1_1.3.9-3+deb9u1_i386
libsndfile1_1.0.27-3_i386
libsonic0_0.2.0-4+b1_i386
libsvn1_1.9.5-1+deb9u3_i386
liburi-perl_1.71-1_all
libvorbis0a_1.3.5-4+deb9u2_i386
libvorbisenc2_1.3.5-4+deb9u2_i386
libvpx4_1.6.1-3+deb9u1_i386
libwrap0_7.6.q-26_i386
openssh-client_7.4p1-10+deb9u6_i386
subversion_1.9.5-1+deb9u3_i386


P.S. I also fixed the time syncing issue from the internet. The file psync was missing so I copied it from woof-CE.

TODO (Priofities):
1. Fix package db update in pkg. Currently I need to update with the command /usr/local/petget/0setup.
2. Make sure that when the package manager installs dependencies that no builtin files are re-installed. For now I just blocked libc6.

_________________
Find me on minds and on pearltrees.
Back to top
View user's profile Send private message Visit poster's website 
s243a

Joined: 02 Sep 2014
Posts: 2072

PostPosted: Fri 16 Aug 2019, 17:45    Post subject:  

Here's a new release:

tiny_puduan_ascii-PreAlpha11.3.iso (210M)
**Testing mostly consists of installing firefox-ESR (and some other aps), using a save folder on a USB.

The issues in my previous post, still need to be addressed as well as a minor issue related to the boot process (see post).

Edit 1 I forgot to include an update to "pkg" which fixed an issue with installing dependendencies due to a missing "/" in the /tmp folder. I will be fixed going forward.

Edit 2 I also forgot to include my fixes for /etc/profile that fix the perl issues in urxvt Sad

_________________
Find me on minds and on pearltrees.
Back to top
View user's profile Send private message Visit poster's website 
s243a

Joined: 02 Sep 2014
Posts: 2072

PostPosted: Sat 17 Aug 2019, 14:55    Post subject:  

New release to fix issues noted in previous post:

tiny_puduan_ascii-PreAlpha11.4.iso (210M)
Testing:
1. Install firefox (dependencies are being instlled but need to make sure that nothign is re-installed.
2. Checked /tmp/xerrs.log (no obvious errors)
3. Also installed other packages that I'll include in a remaster.

**Testing done with a save folder on a USB drive. No other pmedia modes were tested.

***Note, that I also added the less package because in a previous version I got an error in /tmp/xerrs.log due to the busybox version of less not supporting the -R option...I think.

_________________
Find me on minds and on pearltrees.
Back to top
View user's profile Send private message Visit poster's website 
s243a

Joined: 02 Sep 2014
Posts: 2072

PostPosted: Sun 18 Aug 2019, 05:06    Post subject:  

s243a wrote:
s243a wrote:
darry19662018 wrote:
Well this Pup is quite a journey.


It's quite preliminary but the bugs posted in this thread thus far will help alot. Smile

Quote:
Got .pet installing working by finding a missing link to .petget in /usr/sbin which links to /usr/local/petget

Alternatively, one could create a script that calls "pkg -i". Thanks for noticing this Smile. What I think I will do is create a script that calls "pkg -i" by default but if not installed will try some fallbacks like petget.


Here's a first draft of the script /usr/sbin/petget:

Code:

#!/bin/sh
PKG_PATH="`which pkg`"
if [ ! -z "$PKG_PATH"]; then
  "$PKG_PATH" -i "$@"
else
  CUR_DIR=dirname "$(readlink -f "$0")" #https://stackoverflow.com/questions/59895/get-the-source-directory-of-a-bash-script-from-within-the-script-itself
  cd "$CUR_DIR"
  PETGET_PATH="../local/petget/petget" #See if a relative path is possible (useful in prefixed systems)
  [ ! -x "$(readlink -f "$PETGET_PATH")" ] && PETGET_PATH="/usr/local/petget/petget" #otherwise use absolute paths
  "$PETGET_PATH" "$@"
fi


I'll test it now.


I've expanded on this script a lot:

https://pastebin.com/EPgPujar
http://www.murga-linux.com/puppy/viewtopic.php?p=1034641#1034641

I had to make a mod to /usr/sbin/pkg to get it to work but alternatively I might have just been able to export PWD (I'm not sure).

_________________
Find me on minds and on pearltrees.
Back to top
View user's profile Send private message Visit poster's website 
s243a

Joined: 02 Sep 2014
Posts: 2072

PostPosted: Tue 27 Aug 2019, 08:13    Post subject:  

Here's a new version.
tiny_puduan_ascii-PreAlpha11.5.iso

The only testing that I did was installing firefox-esr

Code:

/usr/local/petget/0setup
pkg --get firefox-esr
pkg --get libavcodec-extra57


In this release I made some changes to sc0tmann's package manager (i.e. pkg). See post:

http://murga-linux.com/puppy/viewtopic.php?p=1035370#1035370

I'm fairly postive that these changes have resulted in a significant speed improvement in installing packages. I was hoping that it would fix an issue related to libstdc++ being re-installed [1] when I install firefox. Unfortunatly this isn't the case.

** Currently one might have to try installing firefox like above twice to get it to work. I'm guessing that this is a bug in pkg but might be related to the devaun repos.

Notes
--------------------
1. it isn't exactly the case that libstdc++ is re-installed instead an older version is installed instead (see post) but without removing the current version of libstdc++. The issue might be related to the way that pkg parses dependency information,

_________________
Find me on minds and on pearltrees.

Last edited by s243a on Tue 27 Aug 2019, 08:25; edited 2 times in total
Back to top
View user's profile Send private message Visit poster's website 
s243a

Joined: 02 Sep 2014
Posts: 2072

PostPosted: Tue 27 Aug 2019, 08:17    Post subject:  

darry19662018 wrote:
s243a wrote:
Here's a new version.

tiny_puduan_ascii-PreAlpha11.2.iso (210M)

So far I've only tested installing firefox-esr:

Code:

/usr/local/petget/0setup #update package database
pkg --get libjsoncpp1
pkg --get libvpx4
pkg --get libavcodec-extra57 #Needed for some html5 videos
pkg --get firefox-esr


This is a official release so it doesn't come with a browser installed. As noted above browsers will only be included in remasters.

** I've went to a versioning system where major versions will be new builds from scratch and minor versions will be where I modify the rootfs of a previously built version.


Hi s243a,

Test Machine:HP Pavilion dv6000.

Unfortunately it boots to desktop - then freezes and crashes.

Sorry I am out for this release. Last couple of Iso's could not get package managers working. I wonder if it is my machine? Not sure


The package manager issues aren't hardware related and I have since made some improvments to it but I'm still working out issues here. Regarding your machine freezing that could be hardware related. On one of my computers, I had an issue where I saw multiple small windows on the top of the screen and the rest of the screen was black. For said machine I resolved this by booting with the pfx=nox option and using xorgwizard to set the screen resolution. While this fixed the issue, it shouldn't be necessary to reboot to do this. One should be able to press cntrl-alt-backspace. Unfortuantlly cntrl-alt-backspace isn't working properly at the moment.

Anyway, you testing has been very helpfull Smile. Unfortuantly this release is still quite experimental.

_________________
Find me on minds and on pearltrees.
Back to top
View user's profile Send private message Visit poster's website 
darry19662018

Joined: 31 Mar 2018
Posts: 617
Location: Rakaia

PostPosted: Yesterday, at 00:36    Post subject:
Subject description: Re:https://www.dropbox.com/s/nhbh2rsiladj2ww/tiny_puduan_ascii-PreAlpha11.2.iso?dl=0
 

https://www.dropbox.com/s/nhbh2rsiladj2ww/tiny_puduan_ascii-PreAlpha11.2.iso?dl=0

Well finally got this working on the HP Pavillion dv6000.

When it booted from a frugal install (the Puppy universal installer works).
The desktop booted up but looked like it was working on a vesa resolution and then it went blank - rebooted and when it tried to repeat this behaviour I hit ctrl-LT-Backspace and got the xorg-wizard and chose nv driver and then typed xwin and she booted to a desktop. I am typing from it now.

Results:

Video and sound working with html5 and internet connected first time with frisbee. Scottman's gpkgdialog installed Puppy Firewall fine.

To get psync working installed from ppm (which by the way works if you choose automatic option instead of classic step by step method, which doesn't). Psync required gtkdialog 3 to be installed.

_________________
Puppy Linux Wiki: http://wikka.puppylinux.com/HomePage

https://freemedia.neocities.org/

Last edited by darry19662018 on Yesterday, at 02:13; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
darry19662018

Joined: 31 Mar 2018
Posts: 617
Location: Rakaia

PostPosted: Yesterday, at 01:43    Post subject:
Subject description: Re: petget - installing .pets
 

I had to in /usr/sbin delete petget and add symlink from /usr/local/petget to get .pet installing working.

So nothing major in this Pup it is working with a static mplayer of Fred's I use to play mp4's. Keep up the good work s243a.Smile

_________________
Puppy Linux Wiki: http://wikka.puppylinux.com/HomePage

https://freemedia.neocities.org/
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 5 of 5 [70 Posts]   Goto page: Previous 1, 2, 3, 4, 5
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Cutting edge
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1354s ][ Queries: 12 (0.0417s) ][ GZIP on ]